+++
title = "nntp"
author = "lucitoast"
+++

breadpunk has a local-only NNTP server available. NNTP (Network News Transfer
Protocol) is a protocol designed for the same use cases as forums and mailing
lists, except everything is federated. It is usually better known as Usenet or
simply as newsgroups.

Our NNTP server is however not connected to the rest of Usenet. Tildeverse.org
should provide a [news server](http://news.tildeverse.org/) for interested
tildes, but it is currently announced as down, so our server is completely
alone. It currently has the following groups:

* `local.test`: A default group from our server software which you can use for
various testing purposes.
* `bread.general`: For all general discussions, when something does not fit any
other group.
* `bread.recipes`: For sharing all your bread recipes!
* `bread.meta`: Discussions about breadpunk.club itself.
* `bread.nomic`: Discussions about the game of Nomic

Before joining the news server, it is strongly recommended to read some of the
typical [Usenet guidelines](http://lol-russ.umn.edu/webruss/WebRuss/russ1102/comphelp/netiquet.html).

## slrn setup

To reach our server using `slrn`, a rather simple news reader allowing you to
use your own editor of choice to post, you can use a similar process as the one
described on the Tildeverse server:

1. Get a sample `.slrnrc` file from the project on Sourceforge:
`wget -qO ~/.slrnrc http://slrn.sourceforge.net/docs/slrn.rc`
2. Edit `~/.slrnrc`
3. Uncomment (remove the leading `%`) the line defining `username` and set it
to your bakername
4. Uncomment `hostname` and set it to `breadpunk.club`
5. Uncomment `realname` and set it to whatever you want to have as your real
name: it will be displayed in all posts as
`From: realname <username@breadpunk.club>`
6. If your editor of choice is Vim, uncomment the `set editor_command` line and
set it to `vim '+set tw=72 cc=+1 +%d '%s'`. This will help you with the 72
character line limit of newsgroups and display a visual cue of this limit;
see `:help textwidth` and `:help colorcolumn` in Vim to learn more.
7. Set up slrn by running `slrn --create`.
8. Use the arrow keys to browse the list of groups and press `s` to subscribe or
`u` to unsubscribe. Unsubscribed groups have an uppercase `U` next to them.
9. Save your subscriptions and close by pressing `q` then `y`.

You can later run `slrn` to view your subscribed newsgroups and read, post or
reply to articles. If you prefer to use a [magic tunnel](/docs/magic-tunnel/) to
access the newsgroup from a local client, you will want to forward port **119**.
